%define module_name	slmodem
%define module_version	2.9.6
%define module_release	alt8.1

%define kversion	2.4.29
%define krelease	alt1
%define flavour		wks-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	slmodem kernel modules for SmartLink Soft Modems support
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release

License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1: pci-workaround.patch
Patch2: registration-fix-for-2.6.10.patch

ExclusiveOS:	Linux
URL:		http://linmodems.technion.ac.il/packages/smartlink/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86
Requires:	slmodemd


%description
slmdm kernel modules for SmartLink Soft Modems support.

These are modules for your ALT Linux system

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%if "%kversion" >= "2.6.10"
%patch1 -p1
%patch2 -p1
%endif

subst "s,\/sbin\/depmod -a,," drivers/Makefile

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour all

%install
mkdir -p \
    %buildroot%module_dir

pushd drivers
%__make install DESTDIR=$RPM_BUILD_ROOT KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour module-dir=%buildroot%module_dir
popd

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc Changes README README.1st

%changelog
* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt8.1
- Added patches to fix build with kernel 2.6.10.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt7.1
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt6.1
- Rebuild for kernel 2.4.27.

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt5.1
- Fixed build with kernel 2.6.8.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt4.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Mon May 17 2004 Anton Farygin <rider@altlinux.ru> 2.9.6-alt3.1
- URL fixed
- fixed install for kernel 2.6 and 2.4, added slusb module

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt2.1
- Rebuild for kernel 2.4.26.

* Mon Apr 26 2004 Grigory Milev <week@altlinux.ru> 2.9.6-alt1.1
- new version released

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.5-alt2.1
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.9.5-alt1.1
- Initial build

